> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getTransactionsBasedOnName

> 
The `getTransactionsBasedOnName` API retrieves payroll transaction details based on a specific transaction name within a pay period.

### What it does:

- Returns transaction details including source, destination, amounts, and status for transactions matching the specified name
- Provides filtered payroll transaction information for specific transaction types within a pay period



## OpenAPI

````yaml get /reports/getTransactionsBasedOnName
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /reports/getTransactionsBasedOnName:
    get:
      tags: []
      summary: getTransactionsBasedOnName
      description: >-

        The `getTransactionsBasedOnName` API retrieves payroll transaction
        details based on a specific transaction name within a pay period.


        ### What it does:


        - Returns transaction details including source, destination, amounts,
        and status for transactions matching the specified name

        - Provides filtered payroll transaction information for specific
        transaction types within a pay period
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: getTransactionsBasedOnName
                  example: getTransactionsBasedOnName
                payPeriodId:
                  type: string
                  format: uuid
                transactionName:
                  type: string
                  maxLength: 15
              required:
                - method
                - payPeriodId
                - transactionName
            example:
              method: getTransactionsBasedOnName
              payPeriodId: 2AF56831-2841-438D-9722-E097AC1CCCAC
              transactionName: AchCredit
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  payrollTransaction:
                    type: array
                    items:
                      type: object
                      properties:
                        requestReferenceId:
                          type: string
                        companyId:
                          type: string
                        payPeriodId:
                          type: string
                        source:
                          type: string
                        sourceAccount:
                          type: string
                        destination:
                          type: string
                        destinationAccount:
                          type: string
                        transactionName:
                          type: string
                        transferAmount:
                          type: number
                        status:
                          type: string
                      required:
                        - requestReferenceId
                        - companyId
                        - payPeriodId
                        - source
                        - sourceAccount
                        - destination
                        - destinationAccount
                        - transactionName
                        - transferAmount
                        - status
                required:
                  - payrollTransaction
              example:
                payrollTransaction:
                  - requestReferenceId: '5244157'
                    companyId: C2019899-9EEF-49F7-9B51-70744AFAFE61
                    payPeriodId: 2AF56831-2841-438D-9722-E097AC1CCCAC
                    source: Ledger
                    sourceAccount: A4567F07-CB88-4973-8A60-0AF2F9512C41
                    destination: EmployeeBankAccount
                    destinationAccount: ADAB2624-0DC9-4151-A4D5-00C83851F8BA
                    transactionName: AchCredit
                    transferAmount: 3624.48
                    status: complete
                  - requestReferenceId: '5244151'
                    companyId: C2019899-9EEF-49F7-9B51-70744AFAFE61
                    payPeriodId: 2AF56831-2841-438D-9722-E097AC1CCCAC
                    source: Ledger
                    sourceAccount: A4567F07-CB88-4973-8A60-0AF2F9512C41
                    destination: EmployeeBankAccount
                    destinationAccount: 132F5B54-D23B-458B-8F69-1F08F0FA7A23
                    transactionName: AchCredit
                    transferAmount: 14988.62
                    status: complete
                  - requestReferenceId: '5244154'
                    companyId: C2019899-9EEF-49F7-9B51-70744AFAFE61
                    payPeriodId: 2AF56831-2841-438D-9722-E097AC1CCCAC
                    source: Ledger
                    sourceAccount: A4567F07-CB88-4973-8A60-0AF2F9512C41
                    destination: EmployeeBankAccount
                    destinationAccount: 4391AD1B-51D2-42F3-B815-D5F3D68A5DC7
                    transactionName: AchCredit
                    transferAmount: 10244.69
                    status: complete
                  - requestReferenceId: '5244153'
                    companyId: C2019899-9EEF-49F7-9B51-70744AFAFE61
                    payPeriodId: 2AF56831-2841-438D-9722-E097AC1CCCAC
                    source: Ledger
                    sourceAccount: A4567F07-CB88-4973-8A60-0AF2F9512C41
                    destination: EmployeeBankAccount
                    destinationAccount: 4EFC8423-667B-4389-9DE2-8D56ACCD7BF8
                    transactionName: AchCredit
                    transferAmount: 14151.46
                    status: complete
                  - requestReferenceId: '5244155'
                    companyId: C2019899-9EEF-49F7-9B51-70744AFAFE61
                    payPeriodId: 2AF56831-2841-438D-9722-E097AC1CCCAC
                    source: Ledger
                    sourceAccount: A4567F07-CB88-4973-8A60-0AF2F9512C41
                    destination: EmployeeBankAccount
                    destinationAccount: 98A73017-2B14-4C17-A986-320DA48C0C5B
                    transactionName: AchCredit
                    transferAmount: 9975.36
                    status: complete
                  - requestReferenceId: '5244158'
                    companyId: C2019899-9EEF-49F7-9B51-70744AFAFE61
                    payPeriodId: 2AF56831-2841-438D-9722-E097AC1CCCAC
                    source: Ledger
                    sourceAccount: A4567F07-CB88-4973-8A60-0AF2F9512C41
                    destination: EmployeeBankAccount
                    destinationAccount: 04FE795D-76EB-438C-9CC7-7BA7BD98D6CA
                    transactionName: AchCredit
                    transferAmount: 9958.75
                    status: pending
                  - requestReferenceId: '5244156'
                    companyId: C2019899-9EEF-49F7-9B51-70744AFAFE61
                    payPeriodId: 2AF56831-2841-438D-9722-E097AC1CCCAC
                    source: Ledger
                    sourceAccount: A4567F07-CB88-4973-8A60-0AF2F9512C41
                    destination: EmployeeBankAccount
                    destinationAccount: F1830475-EFCF-4A6E-A6FB-682F61898537
                    transactionName: AchCredit
                    transferAmount: 14246.53
                    status: complete
                  - requestReferenceId: '5244150'
                    companyId: C2019899-9EEF-49F7-9B51-70744AFAFE61
                    payPeriodId: 2AF56831-2841-438D-9722-E097AC1CCCAC
                    source: Ledger
                    sourceAccount: A4567F07-CB88-4973-8A60-0AF2F9512C41
                    destination: EmployeeBankAccount
                    destinationAccount: D48DA316-ED8C-4815-B0EC-14057D344951
                    transactionName: AchCredit
                    transferAmount: 3644.48
                    status: complete
                  - requestReferenceId: '5244152'
                    companyId: C2019899-9EEF-49F7-9B51-70744AFAFE61
                    payPeriodId: 2AF56831-2841-438D-9722-E097AC1CCCAC
                    source: Ledger
                    sourceAccount: A4567F07-CB88-4973-8A60-0AF2F9512C41
                    destination: EmployeeBankAccount
                    destinationAccount: 90A22A2C-5DB3-4BBE-A2CA-31E0D37D6356
                    transactionName: AchCredit
                    transferAmount: 3897.82
                    status: complete
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
              example:
                error:
                  code: 400
                  message: Invalid PayPeriodId
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````